# Authentication

The Wundaflow API uses API keys in order to authenticate requests. You can view and manage your API keys within the API Console.

In order to authenticate, you should send your API key within the header of the request using HTTP Basic Auth. Provide the API key as the basic auth username. You do not need to provide a password:

`Authorization: Basic`` `**`your-api-key`**

All API requests should be made over HTTPS. Calls using plain HTTP will fail.

### API Key Scopes

You can create multiple API keys within the API Console and can scope them according to their specific requirements. For example, yuou may choose to enable access to read-only endpoints for a given API key that may run on an untrustworthy host.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wundaflow.com/api/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
